Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.xml
Class XMLSequence

`java.lang.Object
oracle.toplink.sequencing.Sequence
oracle.toplink.sequencing.StandardSequence
oracle.toplink.sequencing.QuerySequence
oracle.toplink.sdk.SDKSequence
oracle.toplink.xml.XMLSequence`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `oracle.toplink.ox`

public class XMLSequence
extends SDKSequence

Purpose:

See Also:
  Serialized Form

Constructor Summary
`XMLSequence()` Deprecated.
`XMLSequence(java.lang.String name)` Deprecated.
`XMLSequence(java.lang.String name, int size)` Deprecated.
`XMLSequence(java.lang.String name, int size, java.lang.String rootElementName, java.lang.String nameElementName, java.lang.String counterElementName)` Deprecated.
`XMLSequence(java.lang.String name, java.lang.String rootElementName, java.lang.String nameElementName, java.lang.String counterElementName)` Deprecated.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Deprecated.
`java.lang.String` | `getRootElementName()` Deprecated. Return the root element name for the sequence number documents.
`void` | `setRootElementName(java.lang.String rootElementName)` Deprecated. Specify the root element name for the sequence numbers.

Methods inherited from class oracle.toplink.sdk.SDKSequence
`getCounterFieldName, getNameFieldName, setCounterFieldName, setNameFieldName`

Methods inherited from class oracle.toplink.sequencing.QuerySequence
`getSelectQuery, getUpdateQuery, setSelectQuery, setShouldAcquireValueAfterInsert, setShouldSelectBeforeUpdate, setShouldSkipUpdate, setShouldUseTransaction, setUpdateQuery, shouldAcquireValueAfterInsert, shouldSelectBeforeUpdate, shouldSkipUpdate, shouldUseTransaction`

Methods inherited from class oracle.toplink.sequencing.StandardSequence
`getGeneratedValue, getGeneratedVector`

Methods inherited from class oracle.toplink.sequencing.Sequence
`clone, equalNameAndSize, getDatasourcePlatform, getName, getPreallocationSize, isConnected, setName, setPreallocationSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSequence

    public XMLSequence()

  Deprecated.

### XMLSequence

    public XMLSequence(java.lang.String name)

  Deprecated.

### XMLSequence

    public XMLSequence(java.lang.String name,
                       int size)

  Deprecated.

### XMLSequence

    public XMLSequence(java.lang.String name,
                       java.lang.String rootElementName,
                       java.lang.String nameElementName,
                       java.lang.String counterElementName)

  Deprecated.

### XMLSequence

    public XMLSequence(java.lang.String name,
                       int size,
                       java.lang.String rootElementName,
                       java.lang.String nameElementName,
                       java.lang.String counterElementName)

  Deprecated.

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  Overrides:
    `equals` in class `SDKSequence`

### getRootElementName

    public java.lang.String getRootElementName()

  Deprecated.
  Return the root element name for the sequence number documents.

### setRootElementName

    public void setRootElementName(java.lang.String rootElementName)

  Deprecated.
  Specify the root element name for the sequence numbers.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD